#ifndef FRAMEMAP_HPP_INCLUDED
#define FRAMEMAP_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class FrameMap : public Node
    {
        public:
            FrameMap();
            FrameMap(const void* Obj);
            FrameMap(const FrameMap& F);
            static Class GetClass();

            std::vector<std::vector<std::int32_t>> GetList() const;
            std::vector<std::int32_t> GetTypes() const;

    };
}

#endif // FRAMEMAP_HPP_INCLUDED
